﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DTO;
using Entity;
using Shared;
using Dto2Entities;
using static System.Net.Mime.MediaTypeNames;

namespace ServicesApi
{
    public class FavoriteService : IFavoriteService
    {

        private IFavoriteService favoriteService;

        public FavoriteService(IFavoriteService favorite)
        {
            favoriteService = favorite;
        }


        public async Task AddFavorite(int quoteid, int userId)
        {
            await favoriteService.AddFavorite(quoteid, userId);
        }

        public async Task RemoveAllFavoriteForQuote(int quoteId)
        {
            await favoriteService.RemoveAllFavoriteForQuote(quoteId);
        }

        public async Task RemoveAllFavoriteForUser(int userId)
        {
            await favoriteService.RemoveAllFavoriteForUser(userId);
        }

        public async Task RemoveFavorite(int quoteid, int userId)
        {
            await favoriteService.RemoveFavorite(quoteid, userId);
        }
    }
}
